%define prefix   /usr
%define bname   qalculate
%define name    qalculate-kde
%define version 0.9.4
%define release %mkrel 3

Name:       %{name}
Summary:    A very versatile desktop calculator
Version:    %{version}
Release:    %{release}
Source:     http://prdownloads.sourceforge.net/qalculate/%{name}-%{version}.tar.bz2 
URL:        http://qalculate.sourceforge.net/
License:    GPL
Group:      Office
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  libqalculate-devel >= %{version} 
BuildRequires:  kdelibs-devel
BuildRequires:  qt3-devel
BuildRequires:  cln-devel
BuildRequires:  readline-devel
BuildRequires:  ncurses-devel
BuildRequires:  ImageMagick
BuildRequires:  perl-XML-Parser 
BuildRequires:  X11-devel
BuildRequires:  chrpath
Requires:   gnuplot
Requires:   wget
Obsoletes:     qalculate
Provides:       qalculate

%description
Qalculate! is a modern multi-purpose desktop calculator for GNU/Linux. It is
small and simple to use but with much power and versatility underneath.
Features include customizable functions, units, arbitrary precision, plotting,
and a graphical interface that uses a one-line fault-tolerant expression entry 
(although it supports optional traditional buttons). 
This package provides the KDE frontend.

 
%prep
%setup -q 
 
%build
 
export WANT_AUTOCONF_2_5=1 
##CAE do not use marco for configure or make----breaks build
./configure --prefix=%{prefix} --disable-rpathmake

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
 
#menu
mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%{name}): \
command="%{name}" \
icon="%{name}.png" \
needs="x11" \
title="Qalculate!" \
longtitle="Versatile desktop calculator" \
section="Office/Accessories" \
xdg="true"
EOF


#icons 
convert -geometry 48x48 src/hi48-app-qalculate_kde.png $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png 
convert -geometry 32x32 src/hi32-app-qalculate_kde.png $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png 
convert -geometry 16x16 src/hi16-app-qalculate_kde.png $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png 


desktop-file-install --vendor="" \
--remove-category="Application" \
--add-category="KDE" \
--add-category="Calculator" \
--add-category="X-MandrivaLinux-Office;Utility" \
--dir $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/*

##rpath
chrpath -d $RPM_BUILD_ROOT%{_bindir}/qalculate-kde

##CAE rm symlink so both gtk and kde frontend are installable on same system
rm -f $RPM_BUILD_ROOT%{_bindir}/qalculate

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus 

%postun
%clean_menus 

 
%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL
%{_bindir}/*
%{_datadir}/applnk/Utilities/*.desktop
%{_datadir}/apps/qalculate_kde/*.rc
%dir %{_datadir}/doc/HTML
%{_datadir}/doc/HTML/en/qalculate_kde/* 
%{_menudir}/%{name}
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/hicolor/*/*/*.png
%lang(all) %{_datadir}/locale/*/*/*.mo
 

%changelog
* Sat Jul 29 2006 Charles A Edwards <eslrahc@mandriva.org> 0.9.4-3mdv2007.0
- BR..really fix this time

* Fri Jul 28 2006 Charles A Edwards <eslrahc@mandriva.org> 0.9.4-2mdv2007.0
- BR

* Tue Jun 27 2006 Charles A Edwards <eslrahc@mandriva.org> 0.9.4-1mdv2007.0
- initial mandriva package

 
